Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.validators.datatype
Class XMLException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--org.apache.xerces.validators.datatype.XMLException

Direct Known Subclasses:
  InvalidDatatypeFacetException, InvalidDatatypeValueException

public class XMLException
extends java.lang.Exception

Version:
  $Id: XMLException.java,v 1.3 2000/06/07 21:41:53 ericye Exp $
Author:
  Jeffrey Rodriguez
See Also:
  Serialized Form

Constructor Summary
`XMLException()`
`XMLException(java.lang.Exception exception)`
`XMLException(java.lang.String message)`
`XMLException(java.lang.String message, java.lang.Exception exception)`

Method Summary
`java.lang.Exception` | `getException()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XMLException

    public XMLException()

### XMLException

    public XMLException(java.lang.String message)

### XMLException

    public XMLException(java.lang.Exception exception)

### XMLException

    public XMLException(java.lang.String message,
                        java.lang.Exception exception)

Method Detail

### getException

    public java.lang.Exception getException()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2001 Apache XML Project. All Rights Reserved.